Get integration log search count from ClickHouse
curl --request POST \
--url https://api.wirespeed.co/v1/integration/logs/clickhouse/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"page": 123,
"integrationId": "<string>",
"search": "<string>",
"orderBy": "<string>",
"timezone": "<string>",
"day": "<string>"
}
'import requests
url = "https://api.wirespeed.co/v1/integration/logs/clickhouse/count"
payload = {
"size": 123,
"page": 123,
"integrationId": "<string>",
"search": "<string>",
"orderBy": "<string>",
"timezone": "<string>",
"day": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: 123,
page: 123,
integrationId: '<string>',
search: '<string>',
orderBy: '<string>',
timezone: '<string>',
day: '<string>'
})
};
fetch('https://api.wirespeed.co/v1/integration/logs/clickhouse/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123
}{
"message": "<string>",
"statusCode": 123
}Integration
Get integration log search count from ClickHouse
POST
/
v1
/
integration
/
logs
/
clickhouse
/
count
Get integration log search count from ClickHouse
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of the integration to search logs for
Filter logs by type
Available options:
error, warning, info, debug Available options:
asc, desc Timezone for log search results
Specific day to search logs for
Response
Total count of integration logs matching the search criteria
⌘I

